Package org.globus.gsi

# Class OpenSSLKeyConstants

java.lang.Object
org.globus.gsi.OpenSSLKeyConstants

public final class OpenSSLKeyConstants extends Object
Created by IntelliJ IDEA. User: turtlebender Date: Jan 21, 2010 Time: 10:32:19 AM To change this template use File | Settings | File Templates.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AES_128_CBC_IV_LENGTH`
`static final int`
`AES_128_CBC_KEY_LENGTH`
`static final int`
`AES_192_CBC_IV_LENGTH`
`static final int`
`AES_192_CBC_KEY_LENGTH`
`static final int`
`AES_256_CBC_IV_LENGTH`
`static final int`
`AES_256_CBC_KEY_LENGTH`
`static final int`
`DES_CBC_IV_LENGTH`
`static final int`
`DES_CBC_KEY_LENGTH`
`static final int`
`DES_EDE3_CBC_IV_LENGTH`
`static final int`
`DES_EDE3_CBC_KEY_LENGTH`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DES_EDE3_CBC_KEY_LENGTH

public static final int DES_EDE3_CBC_KEY_LENGTH

See Also:
  - Constant Field Values

### DES_EDE3_CBC_IV_LENGTH

public static final int DES_EDE3_CBC_IV_LENGTH

See Also:
  - Constant Field Values

### AES_128_CBC_KEY_LENGTH

public static final int AES_128_CBC_KEY_LENGTH

See Also:
  - Constant Field Values

### AES_128_CBC_IV_LENGTH

public static final int AES_128_CBC_IV_LENGTH

See Also:
  - Constant Field Values

### AES_192_CBC_KEY_LENGTH

public static final int AES_192_CBC_KEY_LENGTH

See Also:
  - Constant Field Values

### AES_192_CBC_IV_LENGTH

public static final int AES_192_CBC_IV_LENGTH

See Also:
  - Constant Field Values

### AES_256_CBC_KEY_LENGTH

public static final int AES_256_CBC_KEY_LENGTH

See Also:
  - Constant Field Values

### AES_256_CBC_IV_LENGTH

public static final int AES_256_CBC_IV_LENGTH

See Also:
  - Constant Field Values

### DES_CBC_KEY_LENGTH

public static final int DES_CBC_KEY_LENGTH

See Also:
  - Constant Field Values

### DES_CBC_IV_LENGTH

public static final int DES_CBC_IV_LENGTH

See Also:
  - Constant Field Values